package ru.mai.dep806.money;

import java.math.BigDecimal;

/**
 * Created by stud on 26.02.2015.
 */

// от инам нельзя наследоваться

public enum Currency {

    RUR("1.0"), EUR("69.0"), USD("61.0"), CHF("61.0");

    private BigDecimal rate;

    Currency(String rate) {
        this.rate = new BigDecimal(rate);
    }

    public BigDecimal getRate() {
        return rate;
    }
}
